<template lang="pug">
  .bottompanelAll
    .deskBlock.brandBack
      .downLeft
        .betTitle СТАВКА
        .summa.sumLeft 500 UAH
          .minus -
          .plus +
        .sumBtns
          .sb 500
          .sb 1000
          .sb 5000
        .toggleElement.toggleLeft
          .txt Авто. вывод средств
          input#checkboxCash1.checkbox(type='checkbox')
          label.checkbox-label(for='checkboxCash1')
            span.on |
            span.off o
        
      .downRight
        .toggleElement.toggleRight
          .txt Автоматический вывод средств
          input#checkboxCash2.checkbox(type='checkbox')
          label.checkbox-label(for='checkboxCash2')
            span.on |
            span.off o
        .summa.sumRight 500 UAH
          .minus -
          .plus +
        .bigBtn СТАВКА

    .mobBlock
      .downLeft.brandBack
        .betTitle СТАВКА
        .toggleElement.toggleLeft
          .txt Авто. вывод средств
          input#checkboxCash_mob1.checkbox(type='checkbox')
          label.checkbox-label(for='checkboxCash_mob1')
            span.on |
            span.off o
        .summa.for-mob.sumLeft 500.00
          .minus -
          .plus +
        .sumBtns
          .sb 500
          .sb 1000
          .sb 5000
        
      .downRight.brandBack
        .toggleElement.toggleRight
          .txt Авто. вывод средств
          input#checkboxCash_mob2.checkbox(type='checkbox')
          label.checkbox-label(for='checkboxCash_mob2')
            span.on |
            span.off o
        .summa.for-mob.sumLeft 500.00
          .minus -
          .plus +
        .bigBtn.for-mob СТАВКА  

</template>

<script>
export default {
  name: "MiddleBar",

  data() {
    return {
      selected: ""
    };
  },

  props: {
    myVar: {
      type: Boolean
    }
  }
};
</script>

<style lang="scss" scoped>
.downLeft {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 49%;
  border-right: 2px solid #260e50;
}

.downRight {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 49%;
}

.betTitle {
  font-size: 15px;
  font-weight: 400;
  margin: 15px 0 15px;
}

.summa {
  display: flex;
  justify-content: flex-end;
  height: 35px;
  width: 208px;
  font-size: 15px;
  font-weight: 400;
  padding-right: 5px;
  background: #2a105a;
  border-radius: 20px;
  color: white;
  align-items: center;
  &.for-mob {
    width: 250px;
    height: 38px;
  }
  &.sumLeft {
    margin-bottom: 10px;
  }
  &.sumRight {
    margin: 3px 0 17px;
    width: 300px;
  }
  .minus {
    height: 25px;
    width: 25px;
    background: #e4307a;
    border-radius: 50%;
    margin-left: 45px;
    right: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    font-weight: 300;
    color: black;
    cursor: pointer;
    transition: 0.4s ease-out;
    &:hover {
      color: white;
    }
  }
  .plus {
    height: 25px;
    width: 25px;
    background: #e4307a;
    border-radius: 50%;
    margin-left: 14px;
    right: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    font-weight: 300;
    color: black;
    cursor: pointer;
    transition: 0.4s ease-out;
    &:hover {
      color: white;
    }
  }
}
.sumBtns {
  display: flex;
  justify-content: space-around;
  width: 200px;
  margin-bottom: 10px;
  .sb {
    font-size: 15px;
    font-weight: 400;
    cursor: pointer;
    padding: 3px 15px;
    transition: 0.3s ease-out;
    &:hover {
      background: #2a105a;
      border-radius: 20px;
      color: #e4307a;
    }
  }
}

.toggleElement {
  display: flex;
  justify-content: space-around;
  align-items: center;
  &.toggleLeft {
    margin-bottom: 20px;
  }
  &.toggleRight {
    margin: 10px 0 15px;
  }

  .txt {
    font-size: 13px;
    margin-right: 12px;
  }
}

.bigBtn {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 17px;
  border-radius: 40px;
  font-weight: 400;
  width: 300px;
  height: 58px;
  background: #e4307a;
  color: white;
  border: solid 2px #e4307a;
  margin: 0px 0 15px;
  cursor: pointer;
  transition: 0.2 ease-out;
  &.for-mob {
    width: 250px;
    height: 38px;
    margin-top: 3px;
  }
  &:hover {
    background: #c00854;
    border: solid 2px #e56c9e;
    font-size: 27px;
  }
}

$active: #e4307a;
$blue: #1fc1c8;

.checkbox-label {
  display: block;
  background: #a2a2b8;
  height: 22px;
  width: 67px;
  border-radius: 50px;
  position: relative;
  margin: 0;
  box-shadow: 0 0 0 2px #a2a2b8;
  cursor: pointer;
  .on {
    display: block;
    position: absolute;
    z-index: 0;
    left: 0;
    opacity: 1;
    opacity: 0;
    font-family: monospace;
    font-size: 19px;
    font-weight: 900;
    color: white;
    overflow: hidden;
    height: 15px;
    top: 1px;
  }
  .off {
    display: block;
    position: absolute;
    z-index: 0;
    right: 10px;
    bottom: -2px;
    text-align: right;
    opacity: 1;
    opacity: 1;
    font-family: monospace;
    font-size: 19px;
    font-weight: 900;
    color: white;
  }
  &:before {
    content: "";
    display: block;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    border-radius: 50px;
    height: 22px;
    width: 22px;
    background: white;
    box-shadow: 0 3px 3px rgba(0, 0, 0, 0.2), 0 0 0 2px #a2a2b8;
  }
}

.checkbox {
  position: absolute;
  left: -5000px;
  &:checked {
    + .checkbox-label {
      background: $active;
      box-shadow: 0 0 0 2px $active;
      .on {
        left: 10px;
        opacity: 1;
      }
      .off {
        right: 0px;
        opacity: 0;
      }
      &:before {
        left: 45px;
        background: #2a105a;
        box-shadow: 0 3px 3px rgba(0, 0, 0, 0.2), 0 0 0 2px $active;
      }
    }
  }
}

*,
*:before,
*:after {
  transition: 0.25s ease-in-out;
}
</style>